<?php

namespace App\Modules\FactReceiptDetail\Application\List;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class FactReceiptDetailListerQuery implements Query
{
    public function __construct(
        private int $idFactReceipt,
        private string $action
    ) {
    }

    public function getIdFactReceipt(): string
    {
        return $this->idFactReceipt;
    }

    public function getAction(): string
    {
        return $this->action;
    }
}
